#include <bits/stdc++.h>
using namespace std;
int main()
{
    string s;
    cin >> s;
    long long n;
    cin >> n;
    string bad[n];
    for(int i = 0; i < n; i++) {
        cin >> bad[i];
    }
    bool is_bad[s.size()];
    for(int i = 0; i < s.size(); i++) {
        is_bad[i] = false;
    }
    for(int i = 0; i < s.size(); i++) {
        for(int j = 0; j < n; j++) {
            if(s.substr(i, bad[j].size()) == bad[j]) {
                for(int k = i; k < i + bad[j].size(); k++) {
                    is_bad[k] = true;
                }
            }
        }
    }


    for(long long l = 0; l < s.size(); l++) {
        if(!is_bad[l]) {
            cout << s[l];
        }
    }



    return 0;
}
